<?php

function thim_get_all_plugins_require( $plugins ) {
	return array(
		array(
			'name'     => 'eLearningWP Demo Data',
			'slug'     => 'elearningwp-demo-data',
			'premium'  => true,
			'required' => true,
		),
		array(
			'name'     => 'LearnPress',
			'slug'     => 'learnpress',
			'required' => true,
		),
		array(
			'name'     => 'Learnpress Coming Soon Courses',
			'slug'     => 'learnpress-coming-soon-courses',
			'source'   => 'https://plugins.thimpress.com/downloads/eduma-plugins/learnpress-coming-soon-courses.zip',
			'required' => true,
			'icon'     => THIM_URI . 'assets/images/plugins/learnpress-icon.png',
		),
		array(
			'name'     => 'Learnpress Certificates',
			'slug'     => 'learnpress-certificates',
			'source'   => 'https://plugins.thimpress.com/downloads/eduma-plugins/learnpress-certificates.zip',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/learnpress-certificates.png',
		),
		array(
			'name'     => 'LearnPress Co-Instructors',
			'slug'     => 'learnpress-co-instructor',
			'source'   => 'https://plugins.thimpress.com/downloads/eduma-plugins/learnpress-co-instructor.zip',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/learnpress-co-instructor.png',
		),
		array(
			'name'     => 'LearnPress Collections',
			'slug'     => 'learnpress-collections',
			'source'   => 'https://plugins.thimpress.com/downloads/eduma-plugins/learnpress-collections.zip',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/learnpress-collections.png',
		),
		array(
			'name'     => 'LearnPress Paid Memberships Pro',
			'slug'     => 'learnpress-paid-membership-pro',
			'source'   => 'https://plugins.thimpress.com/downloads/eduma-plugins/learnpress-paid-membership-pro.zip',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/learnpress-paid-membership-pro.png',
		),
		array(
			'name'     => 'LearnPress Course Review',
			'slug'     => 'learnpress-course-review',
			'required' => false,
		),
		array(
			'name'     => 'LearnPress Wishlist',
			'slug'     => 'learnpress-wishlist',
			'required' => false,
		),
		array(
			'name'     => 'LearnPress bbPress',
			'slug'     => 'learnpress-bbpress',
			'required' => false,
		),
		array(
				'name'     => 'SiteOrigin Page Builder',
			'slug'     => 'siteorigin-panels',
			'required' => false,
		),
		array(
			'name'     => 'Social Login',
			'slug'     => 'miniorange-login-openid',
			'required' => false,
		),
		array(
			'name' => 'MailChimp',
			'slug' => 'mailchimp-for-wp',
		),
		array(
			'name' => 'Contact Form 7',
			'slug' => 'contact-form-7',
		),
		array(
			'name' => 'WooCommerce',
			'slug' => 'woocommerce',
		),
		array(
			'name' => 'Widget Logic',
			'slug' => 'widget-logic',
		),
		array(
			'name' => 'Black Studio TinyMCE Widget',
			'slug' => 'black-studio-tinymce-widget',
		),
		array(
			'name' => 'YITH WooCommerce Wishlist',
			'slug' => 'yith-woocommerce-wishlist',
			'icon' => 'https://ps.w.org/yith-woocommerce-wishlist/assets/icon-128x128.jpg',
		),
		array(
			'name' => 'YITH WooCommerce Compare',
			'slug' => 'yith-woocommerce-compare',
			'icon' => 'https://ps.w.org/yith-woocommerce-compare/assets/icon-128x128.jpg',
		),
		array(
			'name' => 'Instagram Feed',
			'slug' => 'instagram-feed',
		),
		array(
			'name'     => 'Thim Our Team',
			'slug'     => 'thim-our-team',
			'source'   => 'https://plugins.thimpress.com/downloads/thim-our-team.zip',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-our-team.png',
		),
		array(
			'name'     => 'Thim Testimonials',
			'slug'     => 'thim-testimonials',
			'source'   => 'https://plugins.thimpress.com/downloads/thim-testimonials.zip',
			'version'  => '1.3.1',
			'required' => true,
			'icon'        => 'https://plugins.thimpress.com/downloads/images/thim-testimonials.png',
		),
	);
}

add_action( 'thim_core_get_all_plugins_require', 'thim_get_all_plugins_require' );